Bug 550599 - Review Request: themonospot-console - console application to scan multimedia files
Summary: Review Request: themonospot-console - console application to scan multimedia ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: http://www.integrazioneweb.com/themon...
Whiteboard:
Depends On: 550594
Blocks: 550519
TreeView+ depends on / blocked
 
Reported: 2009-12-26 09:06 UTC by Armando Basile
Modified: 2010-01-11 14:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-11 14:56:43 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Armando Basile 2009-12-26 09:06:16 UTC
SPEC URL: http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-console.spec
SRPM URL: http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-console-0.1.0-1.fc12.src.rpm

Description: themonospot-console is a mono console application to scan multimedia files using themonospot base component and his plugins.

Comment 1 Mamoru TASAKA 2009-12-29 08:17:45 UTC
Some notes:

* License
  - There is no license information in the tarball. Would you
    clarify it (as you are the upstream)?

* (Build)Requires
  - As I wrote in -base review, ">= 1.2.3" part on 
    (Build)Requires: mono-core is not needed (for current Fedora)

  - Also ">= 0.8.1" part on (Build)Requires: themonospot-console
    is not needed either because -core packages to be intoduced
    into Fedora satisfies this version dependency on every Fedora
    branch.
    ref: the last sentence in
    https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

* %files
  - %files entry "%{_bindir}/%{name}/" is wrong because the last
    slash should mean that this %files entry is a directory, while
    the actually installed one is a file, not a directory.
    (i.e. this should be "%{_bindir}/%{name}")

    ! Note
      In reality, current rpm simply ignores the last slash.
      https://bugzilla.redhat.com/show_bug.cgi?id=505995

Comment 2 Armando Basile 2009-12-29 09:13:23 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-console.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-console-0.1.0-2.fc12.src.rpm

changes:
- removed ">= 1.2.3" from mono-core dependence
- removed ">= 0.8.1" from themonospot-base dependence
- added themonospot-base-devel to BuildRequires
- removed final "/" in "%{_bindir}/%{name}/" line

for license, should patch tarball (adding gplv2 file) and add patch to spec ?

Comment 3 Mamoru TASAKA 2009-12-29 09:53:21 UTC
I have not checked your latest srpm, however:

(In reply to comment #2)
> for license, should patch tarball (adding gplv2 file) and add patch to spec ?  

- If you want to modify the tarball itself (i.e. include license
  text in the tarball) please release the new version 
  (i.e. 0.1.0.1, for example)
- If you want not to release the new version for now, for now include the
  license text as SourceX in srpm and package it into binary rpm
  with %doc.

Anyway in the next version please include the license text in
the tarball.

Comment 4 Armando Basile 2009-12-29 11:03:15 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-console.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-console-0.1.0-3.fc12.src.rpm

changes:
- added Source1 copyng.gpl
- added cp %{SOURCE1} copying.gpl
- added %doc copying.gpl

Comment 5 Mamoru TASAKA 2009-12-29 15:42:36 UTC
For -3:

* Timestamps
  - Use "cp -p" to keep timestamps on installed files

! %changelog
  - As I wrote in -base review request, please add new %changelog
    entry even during review process.

This review will be accepted once bug 550594 is accepted.

Comment 6 Armando Basile 2009-12-30 15:33:00 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-console.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-console-0.1.1-1.fc12.src.rpm

changes:
- folder used is %{libdir}/themonospot
- added copying.gpl

Comment 9 Mamoru TASAKA 2010-01-01 16:33:20 UTC
Okay.

----------------------------------------------------------------
   This package (themonospot~console) is APPROVED by mtasaka
----------------------------------------------------------------

Comment 10 Armando Basile 2010-01-01 17:58:31 UTC
New Package CVS Request
=======================
Package Name: themonospot-console
Short Description: Console application for Themonospot suite
Owners: hman
Branches: F-11 F-12
InitialCC: mtasaka@ioa.s.u-tokyo.ac.jp
Cvsextras Commits: yes

Comment 11 Armando Basile 2010-01-02 21:00:24 UTC
New Package CVS Request
=======================
Package Name: themonospot-console
Short Description: Console application for Themonospot suite
Owners: hman-it
Branches: F-11 F-12
InitialCC: mtasaka
Cvsextras Commits: yes

Comment 12 Kevin Fenzi 2010-01-04 20:21:39 UTC
cvs done.

Comment 13 Mamoru TASAKA 2010-01-11 14:56:43 UTC
Closing.


Note You need to log in before you can comment on or make changes to this bug.